Bug 536505 - (RHQ-848) RFE: Add methods to the PC to allow access to child components
RFE: Add methods to the PC to allow access to child components
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 10:16 EDT by Heiko W. Rupp
Modified: 2014-05-15 17:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-09-17 10:16:00 EDT
A resourceType like e.g. JBossAS has no way of finding all the servers and services that are running on it.

For dispatching calls to e.g. createResource, it would be handy to have a list of all children, so the plugin could loop through them, see if there is a matching one and delegate it. This way, the plugged in plugin would be self contained.

Comment 1 Red Hat Bugzilla 2009-11-10 16:18:10 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-848

Note You need to log in before you can comment on or make changes to this bug.